Package jaxe

# Class JaxeEditEvent

java.lang.Object
java.util.EventObject
jaxe.JaxeEditEvent

All Implemented Interfaces:
  `Serializable`

public class JaxeEditEvent extends EventObject
EditEvent for changes in the document

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`JaxeEditEvent(Object source, int offs, String text)`
Creates an event with plain text
`JaxeEditEvent(Object source, JaxeElement e)`
Creates an event with JaxeElements

## Method Summary

Modifier and Type
Method
Description
`void`
`consume()`
Sets the used status to true
`JaxeElement`
`getJaxeElement()`
Returns the JaxeElement or null if event is used with text
`int`
`getOffset()`
Returns the offset in the document
`String`
`getText()`
Returns the text or null is event is used with JaxeElement
`boolean`
`isConsumed()`
Status, if the event hast been uses;
`String`
`toString()`
toString

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JaxeEditEvent

public JaxeEditEvent(Object source, JaxeElement e)
Creates an event with JaxeElements

Parameters:
  `source` - Eventsource
  `e` - JaxeElement

### JaxeEditEvent

public JaxeEditEvent(Object source, int offs, String text)
Creates an event with plain text

Parameters:
  `source` - Eventsource
  `offs` - Offset in document
  `text` - Text

## Method Details

### getJaxeElement

public JaxeElement getJaxeElement()
Returns the JaxeElement or null if event is used with text

Returns:
  JaxeElement

### getOffset

public int getOffset()
Returns the offset in the document

Returns:
  Offset

### isConsumed

public boolean isConsumed()
Status, if the event hast been uses;

Returns:
  true, if used

### consume

public void consume()
Sets the used status to true

### getText

public String getText()
Returns the text or null is event is used with JaxeElement

Returns:
  Text

### toString

public String toString()
toString

Overrides:
  `toString` in class `EventObject`